<div *ngIf="!quizzAjoute">
  <div *ngIf = "nomOk" >
    <h2> {{quizz.nom}}</h2>
    <div *ngFor= "let question of quizz.questions" class="card">
        <div class="card-header">{{question.question}}</div>
        <div class="card-body">
          <div *ngFor="let reponse of question.reponses" class="form-group form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" [(ngModel)]= "reponse.vraie"> {{reponse.enonce}}
            </label>
          </div>  
          <div class = "container">
            Nouvelle réponse : 
            <input type="text" class="form-control" [(ngModel)]="nouvellereponse">
            <button type="button" class="btn btn-success" (click) = "ajouterReponse(question._id)"> Ajouter la réponse </button>
          </div>
        </div> 
    </div>
    <div class = "container">
      Nouvelle question : 
      <input type="text" class="form-control" [(ngModel)]="nouvellequestion">
      <button type="button" class="btn btn-success" (click) = "ajouterQuestion()"> Ajouter la question </button>
    </div>
    <div class="alert alert-info">
      <strong>Attention!</strong> Penser à cocher les bonnes réponses avant de valider le quizz
    </div>
    <button type="button" class="btn btn-success" (click) = "validerQuizz()"> Valider le quizz </button>
  </div>
  <div *ngIf = "!nomOk" class="form-group">
    Nom du quizz : 
      <input type="text" class="form-control" [(ngModel)]="quizz.nom">
  <button type="button" class="btn btn-success" (click) = "creerQuizz()"> Valider </button>
  </div>
</div>
<div *ngIf="quizzAjoute">
  <div class="alert alert-succes">
    Le quizz a bien été ajouté.
  </div>
</div>